com.amazon.redshift.plugin.utils

## Class CheckUtils

- java.lang.Object
- - com.amazon.redshift.plugin.utils.CheckUtils

    public class CheckUtils
    extends Object

All for plugin parameters check.

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `checkAndThrowsWithMessage(boolean condition, String message)`
`static void` `checkInvalidAndThrows(boolean condition, String parameterName)`
`static void` `checkMissingAndThrows(String parameter, String parameterName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### checkMissingAndThrows

    public static void checkMissingAndThrows(String parameter,
                                             String parameterName)
                                      throws InternalPluginException

Throws:
  `InternalPluginException`

#### checkInvalidAndThrows

    public static void checkInvalidAndThrows(boolean condition,
                                             String parameterName)
                                      throws InternalPluginException

Throws:
  `InternalPluginException`

#### checkAndThrowsWithMessage

    public static void checkAndThrowsWithMessage(boolean condition,
                                                 String message)
                                          throws InternalPluginException

Throws:
  `InternalPluginException`